Debian Bug report logs - #610143
i3-wm: Crash when starting from gnome-session

version graph

Package: i3-wm; Maintainer for i3-wm is Michael Stapelberg <stapelberg@debian.org>; Source for i3-wm is src:i3-wm.

Reported by: Tommie Gannert <tommie@gannert.se>

Date: Sat, 15 Jan 2011 16:45:02 UTC

Severity: important

Found in version i3-wm/3.e-bf1-2

Fixed in version i3-wm/3.e-bf2-1

Done: Michael Stapelberg <michael@stapelberg.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stapelberg <michael@stapelberg.de>:
Bug#610143; Package i3-wm. (Sat, 15 Jan 2011 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tommie Gannert <tommie@gannert.se>:
New Bug report received and forwarded. Copy sent to Michael Stapelberg <michael@stapelberg.de>. (Sat, 15 Jan 2011 16:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tommie Gannert <tommie@gannert.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: i3-wm: Crash when starting from gnome-session
Date: Sat, 15 Jan 2011 17:35:53 +0100
Package: i3-wm
Version: 3.e-bf1-2
Severity: important

When using i3 as the window manager under Gnome, i3 segfaults
a few seconds after start. Configured to start through .gnomerc:

  export WINDOW_MANAGER=i3

This was supposedly fixed upstream in response to http://i3.zekjur.net/bugs/ticket/229
as commit 2c305b5429831b33d76ca55c56c3a7d80889d651. I do not have dzen2
installed, so I would assume this can be triggered by other things as well.

Using i3 without gnome-session works and running a gdb shows the problem
is the same as in the #229 case upstream (variable t_out is NULL.)

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages i3-wm depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libev3                        1:3.9-1    high-performance event loop librar
ii  libx11-6                      2:1.3.3-4  X11 client-side library
ii  libxcb-atom1                  0.3.6-1    utility libraries for X C Binding 
ii  libxcb-aux0                   0.3.6-1    utility libraries for X C Binding 
ii  libxcb-event1                 0.3.6-1    utility libraries for X C Binding 
ii  libxcb-icccm1                 0.3.6-1    utility libraries for X C Binding 
ii  libxcb-keysyms1               0.3.6-1    utility libraries for X C Binding 
ii  libxcb-property1              0.3.6-1    utility libraries for X C Binding 
ii  libxcb-randr0                 1.6-1      X C Binding, randr extension
ii  libxcb-xinerama0              1.6-1      X C Binding, xinerama extension
ii  libxcb1                       1.6-1      X C Binding
ii  libyajl1                      1.0.8-1    Yet Another JSON Library
ii  x11-utils                     7.5+4      X11 utilities

Versions of packages i3-wm recommends:
ii  libanyevent-i3-perl           0.04-1     communicate with the i3 window man
ii  libanyevent-perl              5.271-2    Perl framework to handle multiple 
ii  libipc-run-perl               0.89-1     Perl module for running processes
ii  xfonts-base                   1:1.0.1    standard fonts for X

Versions of packages i3-wm suggests:
ii  gnome-terminal [x-terminal-em 2.30.2-1   The GNOME terminal emulator applic
ii  xterm [x-terminal-emulator]   261-1      X terminal emulator

-- no debconf information




Reply sent to Michael Stapelberg <michael@stapelberg.de>:
You have taken responsibility. (Wed, 19 Jan 2011 20:51:07 GMT) Full text and rfc822 format available.

Notification sent to Tommie Gannert <tommie@gannert.se>:
Bug acknowledged by developer. (Wed, 19 Jan 2011 20:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 610143-close@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael@stapelberg.de>
To: 610143-close@bugs.debian.org
Subject: Bug#610143: fixed in i3-wm 3.e-bf2-1
Date: Wed, 19 Jan 2011 20:48:02 +0000
Source: i3-wm
Source-Version: 3.e-bf2-1

We believe that the bug you reported is fixed in the latest version of
i3-wm, which is due to be installed in the Debian FTP archive:

i3-wm-dbg_3.e-bf2-1_amd64.deb
  to main/i/i3-wm/i3-wm-dbg_3.e-bf2-1_amd64.deb
i3-wm_3.e-bf2-1.diff.gz
  to main/i/i3-wm/i3-wm_3.e-bf2-1.diff.gz
i3-wm_3.e-bf2-1.dsc
  to main/i/i3-wm/i3-wm_3.e-bf2-1.dsc
i3-wm_3.e-bf2-1_amd64.deb
  to main/i/i3-wm/i3-wm_3.e-bf2-1_amd64.deb
i3-wm_3.e-bf2.orig.tar.gz
  to main/i/i3-wm/i3-wm_3.e-bf2.orig.tar.gz
i3_3.e-bf2-1_amd64.deb
  to main/i/i3-wm/i3_3.e-bf2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610143@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Stapelberg <michael@stapelberg.de> (supplier of updated i3-wm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Jan 2011 21:24:38 +0100
Source: i3-wm
Binary: i3 i3-wm i3-wm-dbg
Architecture: source amd64
Version: 3.e-bf2-1
Distribution: unstable
Urgency: low
Maintainer: Michael Stapelberg <michael@stapelberg.de>
Changed-By: Michael Stapelberg <michael@stapelberg.de>
Description: 
 i3         - metapackage (i3 window manager, screen locker, menu, statusbar)
 i3-wm      - an improved dynamic tiling window manager
 i3-wm-dbg  - Debugging symbols for the i3 window manager
Closes: 610143
Changes: 
 i3-wm (3.e-bf2-1) unstable; urgency=low
 .
   * Bugfix: Don’t crash when a dock client starts up with nonsense coordinates
     (Closes: #610143)
   * Bugfix: i3-wsbar: properly catch errors when writing to child processes
   * Bugfix: Render decorations of single window in tabbed/stacked container
   * Bugfix: Don't draw stacked decors overlapping a fs window
   * Bugfix: Replay unhandled pointer events
   * Bugfix: Validate the ws number for client assignment
   * Bugfix: use the global root variable, don’t get the first one
   * Bugfix: Opera flash plugin no longer prevents in-page focus changing
   * Support for custom bg colors for clients
   * Bugfix: Fix possible rounding errors
   * Bugfix: Don’t setup event handler when RandR base event is not set
   * Bugfix: Properly call init_workspaces() when RandR is known but not present
   * Bugfix: Correctly count variables when parsing the configfile
Checksums-Sha1: 
 9af410558e7e0629fc84f25fa90bc4a91f95a683 1348 i3-wm_3.e-bf2-1.dsc
 2d2aedae68e20dd156021b6c84cf7bfd720a9b8d 367794 i3-wm_3.e-bf2.orig.tar.gz
 7caa1b6084040c74fe1517652f125fa9a29bd607 8158 i3-wm_3.e-bf2-1.diff.gz
 c26a032a12c435ae622938da0d3331d5eddbb4b1 7502 i3_3.e-bf2-1_amd64.deb
 ac45b487dff9db6cd497528d5bd7562376aed0bd 317510 i3-wm_3.e-bf2-1_amd64.deb
 9616363b7cbe977bc119dabddbb81b115d33d422 1029170 i3-wm-dbg_3.e-bf2-1_amd64.deb
Checksums-Sha256: 
 85440b1a0c5fed6c453de6e42af8cd1ac840afcfd702397979c008f2fce3e3e4 1348 i3-wm_3.e-bf2-1.dsc
 e7e85eb6fea95c7ff064092be2b53ec779812a989e21e72b274293910f2186ff 367794 i3-wm_3.e-bf2.orig.tar.gz
 b7b8e0fca7240cab4543804bdb6c8443b4372f0cf7846fa4831032d476b62080 8158 i3-wm_3.e-bf2-1.diff.gz
 f50ab341536400acd69550096ddcd5b6aceb0a77627f457555135416b5ea4926 7502 i3_3.e-bf2-1_amd64.deb
 6fa3bf0a32603580c7c4e0757f9a283a7a18854935e5773a4e431835d25c3d46 317510 i3-wm_3.e-bf2-1_amd64.deb
 e1d2034f646c7a12d7821741e32c4d77901582dea3292ead1e3f3dd63a9b8399 1029170 i3-wm-dbg_3.e-bf2-1_amd64.deb
Files: 
 c4edc3badb6ee41e6495d9814411a453 1348 utils extra i3-wm_3.e-bf2-1.dsc
 1ef11c38d87f185453fc998d17cd93c9 367794 utils extra i3-wm_3.e-bf2.orig.tar.gz
 4a3ce934a8914339d5a4ba3f05e478d3 8158 utils extra i3-wm_3.e-bf2-1.diff.gz
 c8bcda46508431569430af439a403304 7502 x11 extra i3_3.e-bf2-1_amd64.deb
 86366afcd953483364dd4ceb90b6be9d 317510 x11 extra i3-wm_3.e-bf2-1_amd64.deb
 841591648d50e68cacfc3c7bdebda0a9 1029170 debug extra i3-wm-dbg_3.e-bf2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk03StQACgkQ9su5nWW3kMJAbwCgqyCQYV59RmHiNrMZbpzg+bBs
KC4AoMHQndD6IP6SRiLeXHABisB/U50I
=2jAZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Feb 2011 07:32:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:53:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.